Skip to content
Developer

BillingItemType

Billing1 EndpointsBilling / BillingItemType

Returns a list of all BillingItemType

GET/api/invoice/billingitemtypes

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all BillingItemTypearray<BillingItemType>

Show fields (12)
  • idinteger

    Primary key of the billing item type. Internal ID.

  • namestring

    Name of the billing item type.

  • fixed_price_addon_one_namestring

    Name of the first fixed price addon.

  • fixed_price_addon_two_namestring

    Name of the second fixed price addon.

  • fixed_price_addon_one_name_personstring

    Name of the first fixed price addon for persons.

  • fixed_price_addon_two_name_personstring

    Name of the second fixed price addon for persons.

  • categorystringrequired

    Category of the billing item type.

    Allowed: project subscription bookable event shipping location

  • typestringrequired

    Type of the billing item type.

    Allowed: subscription bookable-hour event-fixed sla hours days fixed internal

  • unitstring

    Unit of the billing item type, for example piece or hour.

  • force_repeatingboolean

    Items of this type always repeat.

  • can_repeatboolean

    Items of this type can repeat.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/billingitemtypes \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "category": "project",
    "type": "subscription",
    "id": 42,
    "name": "Beispiel",
    "fixed_price_addon_one_name": "Beispiel",
    "fixed_price_addon_two_name": "Beispiel",
    "fixed_price_addon_one_name_person": "string",
    "fixed_price_addon_two_name_person": "string",
    "unit": "string",
    "force_repeating": true
  }
]